/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Model102
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model102 {
  @SerializedName("general_information")
  private Model100 generalInformation = null;

  @SerializedName("lost_baggage_claim_information")
  private LostBaggageClaimInformation lostBaggageClaimInformation = null;

  public Model102 generalInformation(Model100 generalInformation) {
    this.generalInformation = generalInformation;
    return this;
  }

   /**
   * Get generalInformation
   * @return generalInformation
  **/
  @ApiModelProperty(required = true, value = "")
  public Model100 getGeneralInformation() {
    return generalInformation;
  }

  public void setGeneralInformation(Model100 generalInformation) {
    this.generalInformation = generalInformation;
  }

  public Model102 lostBaggageClaimInformation(LostBaggageClaimInformation lostBaggageClaimInformation) {
    this.lostBaggageClaimInformation = lostBaggageClaimInformation;
    return this;
  }

   /**
   * Get lostBaggageClaimInformation
   * @return lostBaggageClaimInformation
  **/
  @ApiModelProperty(required = true, value = "")
  public LostBaggageClaimInformation getLostBaggageClaimInformation() {
    return lostBaggageClaimInformation;
  }

  public void setLostBaggageClaimInformation(LostBaggageClaimInformation lostBaggageClaimInformation) {
    this.lostBaggageClaimInformation = lostBaggageClaimInformation;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model102 model102 = (Model102) o;
    return Objects.equals(this.generalInformation, model102.generalInformation) &&
        Objects.equals(this.lostBaggageClaimInformation, model102.lostBaggageClaimInformation);
  }

  @Override
  public int hashCode() {
    return Objects.hash(generalInformation, lostBaggageClaimInformation);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model102 {\n");
    
    sb.append("    generalInformation: ").append(toIndentedString(generalInformation)).append("\n");
    sb.append("    lostBaggageClaimInformation: ").append(toIndentedString(lostBaggageClaimInformation)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

